package com.adealink.weparty.commonui.recycleview.commonviewholder

import com.adealink.weparty.commonui.recycleview.diffutil.BaseListItemData

/**
 */
enum class CommonListErrorEmptyType {
    NoData, //列表没有数据
    NetError //网络错误
}

data class CommonListEmptyItemData(val emptyType: CommonListErrorEmptyType) : BaseListItemData {

    override fun areContentsTheSame(newItem: Any): Boolean {
        val newData = newItem as? CommonListEmptyItemData ?: return false
        return this.emptyType == newData.emptyType
    }

}

